Skip to content

UpdateGroupName#

Postman Test

The method changes the name of a group chat.

The method uses limits on the request rate per second.

Request#

To change the name of a group chat, you need to execute a request at:

POST
{{apiUrl}}/waInstance{{idInstance}}/updateGroupName/{{apiTokenInstance}}

To get the apiUrl, idInstance and apiTokenInstance request parameters, refer to the Before you start section.

Request parameters#

Parameter Type Required Description
chatId string Yes Group chat identifier
groupName string Yes Name of the group chat. The maximum field length is 100 characters

Request body example#

{
   "chatId": "-10000000000000",
   "groupName": "Group created by Green API+"
}

Response#

Response fields#

Field Type Description
updateGroupName boolean Flag that the group name is changed

Response body example#

{
    "updateGroupName": true
}

Errors#

For the list of errors common to all methods, see the Common errors section

HTTP code Error identifier Description
200 "updateGroupName": false The name could not be updated
400 Bad Request
Validation failed
Validation error

Code examples#

import requests

url = "{{apiUrl}}/waInstance{{idInstance}}/updateGroupName/{{apiTokenInstance}}"

payload = {(
    "chatId": "-10000000000000",
    "groupName": "Group created by Green API")
}
headers = {'Content-Type': 'application/json'}

response = requests.post(url, json=payload)

print(response.text.encode('utf8'))
curl --location '{{apiUrl}}/waInstance{{idInstance}}/updateGroupName/{{apiTokenInstance}}' \
--header 'Content-Type: application/json' \
--data-raw '{
    "chatId": "-10000000000000",
    "groupName": "Group created by Green API+"
}'
var restTemplate = new RestTemplate();
var requestUrl = new StringBuilder();
requestUrl
    .append({{apiUrl}})
    .append("/waInstance").append({{idInstance}})
    .append("/updateGroupName/")
    .append({{apiTokenInstance}});

var headers = new HttpHeaders();
headers.setContentType(MediaType.APPLICATION_JSON);

var jsonBody = "{\"chatId\": \"-10000000000000\",\"groupName\": \"Group created by GREEN-API+\"}";

var requestEntity = new HttpEntity<>(jsonBody, headers);

var response = restTemplate.exchange(requestUrl.toString(), HttpMethod.POST, requestEntity, String.class);
System.out.println(response);
var requestUrl = new StringBuilder();
requestUrl
    .append({{apiUrl}})
    .append("/waInstance").append({{idInstance}})
    .append("/updateGroupName/")
    .append({{apiTokenInstance}});

var response = Unirest.post(requestUrl.toString())
    .header("Content-Type", "application/json")
    .body("{\"chatId\": \"-10000000000000\",\"groupName\": \"Group created by GREEN-API+\"}")
    .asString();

System.out.println(response);
Sub UpdateGroupName()
    Dim url As String
    Dim RequestBody As String
    Dim http As Object
    Dim response As String

    ' The apiUrl, idInstance and apiTokenInstance values are available in console, double brackets must be removed
    url = "{{apiUrl}}/waInstance{{idInstance}}/updateGroupName/{{apiTokenInstance}}"

    RequestBody = "{""chatId"":""-10000000000000"",""groupName"":""Group created by GREEN-API+""}"

    Set http = CreateObject("MSXML2.XMLHTTP")

    With http
        .Open "POST", url, False
        .setRequestHeader "Content-Type", "application/json"
        .Send RequestBody
    End With

    response = http.responseText

    Debug.Print response

    ' Outputting the answer to the desired cell
    Range("A1").Value = response

    Set http = Nothing
End Sub